Bug 1541402 (CVE-2018-1000060) - CVE-2018-1000060 sensu: Password exposure in warn level log when configured for multiple rabbitMQ connections
Summary: CVE-2018-1000060 sensu: Password exposure in warn level log when configured f...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1000060
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1541825 1541826 1541827
Blocks: 1541404
TreeView+ depends on / blocked
 
Reported: 2018-02-02 13:49 UTC by Pedro Sampaio
Modified: 2019-09-29 14:31 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Sensu's redaction function fails to handle the redaction of sensitive data in deeply nested data structures, resulting in sensitive data, such as passwords, being logged in clear-text.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:39:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0616 None None None 2018-03-28 19:04:07 UTC
Red Hat Product Errata RHSA-2018:1112 None None None 2018-04-11 17:45:20 UTC
Red Hat Product Errata RHSA-2018:1606 None None None 2018-05-17 15:25:07 UTC

Description Pedro Sampaio 2018-02-02 13:49:27 UTC
A flaw was found in sensu 0.23.2. When multiple rabbitmq are configured in sensu, the password is written in plain text at Sensu Client logs.

Comment 2 Joshua Padman 2018-02-05 01:30:16 UTC
This issue affects the versions of sensu as shipped with Red Hat OpenStack Platform versions 7 through 12. Version 7 through 9 were released as a technical preview without support and will not be fixed.

Comment 4 Joshua Padman 2018-02-06 04:48:47 UTC
The issue is public on the upstream git repository.
https://github.com/sensu/sensu/issues/1804

Comment 5 Joshua Padman 2018-02-14 22:02:17 UTC
Acknowledgments:

Name: Debashis Pradhan (Huawei Technologies)

Comment 6 Joshua Padman 2018-02-14 22:16:53 UTC
External References:

https://sensuapp.org/docs/1.2/overview/changelog.html#core-v1-2-1-changes

Comment 7 errata-xmlrpc 2018-03-28 19:03:56 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 12.0 Operational Tools for RHEL 7

Via RHSA-2018:0616 https://access.redhat.com/errata/RHSA-2018:0616

Comment 8 errata-xmlrpc 2018-04-11 17:45:10 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 11.0 Operational Tools for RHEL 7

Via RHSA-2018:1112 https://access.redhat.com/errata/RHSA-2018:1112

Comment 9 errata-xmlrpc 2018-05-17 15:24:57 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 Operational Tools for RHEL 7

Via RHSA-2018:1606 https://access.redhat.com/errata/RHSA-2018:1606


Note You need to log in before you can comment on or make changes to this bug.